Subject: Lacrosse Coach Needed

From: George <[email-masked]>
Date: Fri, 3 Apr 2026 07:11:09 -0400

Hello

I,m George and I would like to request the services of a private Lacrosse
instructor for my son Ravi. Please provide information on availability,
rates and lesson venue and any recommendations you might have.

Thank you!